package main

import "fmt"

func main() {
	var name string
	var wage float64
	var age int

	n, err := fmt.Sscan("Riley 25.50 35", &name, &wage, &age)

	if err != nil {
		panic(err)
	}

	fmt.Printf("name: %s, wage: $%.2f, age: %d\n", name, wage, age)
	fmt.Printf("%d values successfuly scanned\n", n)
}
